Subject: Re: DNS issue when cloning over HTTP and HTTPS

From: LCD 47 <[email-masked]>
Date: Tue, 18 Jun 2013 02:11:05 +0300

On 18 June 2013, Daniel Stenberg <[email-masked]> wrote:
> On Tue, 18 Jun 2013, LCD 47 wrote:
> 
> >   Cloning with the git protocol works as expected.
> >
> >A search on the net shows people having the same problem more than an
> >year ago, and the solution there seems to imply that Git can't cope
> >with async DNS in curl:
> >
> >http://osdir.com/ml/freebsd-ports-bugs/2012-05/msg00095.html
> >
> >   Any idea?
> 
> It's not a git problem really. When you build libcurl to use c-ares
> for asynch name resolving you unfortunately don't get a really feature
> complete replacement for all stuff the stock synch resolver can do and
> I believe you (and person from that link from last year) experience
> that.
>
> The solution for you is to:
>
> a) rebuild libcurl with another resolving backend (there's a synch and
> threaded asynch one to choose from)
>
>  or
>
> b) fix c-ares to work "properly" in this scenario as well

    Thank you for the quick and very helpful response.  I rebuilt curl
with the threaded resolver, then I rebuilt Git, and now cloning over
HTTP works fine.  I'll send a bug report to the maintainers of curl and
Git for my Linux distribution then.

    /lcd